body {
    background-color: #1D1B1C !important;
    font-weight: 300;
    letter-spacing: 0.05em;
    margin: 0;
    padding: 0;
}

h1, h2 {
    font-family: "Playfair Display", serif;
    color: #D9B22F !important;
    font-size: clamp(23px, 2vw, 30px) !important;
}

.inter-font {
    color: white !important;
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-size: 16px;
    font-style: normal;
    font-variation-settings: "slnt" 0;
    font-weight: 300;
}

.playfair-display {
    color: #D9B22F;
    font-family: "Playfair Display", serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 400;
}

.logo {
    padding-bottom: 15px;
}

.text-container p {
    line-height: 1.8;
    margin: 20px auto;
    max-width: 1000px;
    text-align: center;
}

.text-container p:last-child {
    margin-bottom: 10%;
}

.navbar {
    border-bottom: 2px solid #D9B22F;
    border-top: 2px solid #D9B22F;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    font-size: 26px;
}

.navbar-nav .nav-item {
    margin: 0 15px;
}

.nav-link {
    align-items: center;
    color: #D9B22F !important;
    display: flex;
    justify-content: center;
    padding: 15px 20px;
}

.nav-link:hover, .nav-link:focus {
    background-color: transparent;
    color: #ffd700 !important;
    text-decoration: underline;
}

.nav-link.active {
    color: #ffd700 !important;
    text-decoration: underline;
}

.navbar-toggler {
    border-radius: 10px;
    border: 2px solid #D9B22F !important;
    color: #D9B22F;
    margin-left: 10px;
    padding: 5px 10px;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='gold' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.custom-toggler .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(218,178,46)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.container-fluid {
    align-items: center;
    display: flex;
    justify-content: center;
}

.contact-section {
    background-color: #1D1B1C;
    color: #fff;
}

.contact-section img {
    width: 80px;
}

.contact-section p {
    color: #fff !important;
    font-size: 16px;
    line-height: 1.5;
    margin-left: 10px;
}

.contact-section a {
    color: #fff !important;
    text-decoration: none;
}

.contact-section a:hover, .contact-section a:focus {
    color: #ffd700 !important;
    text-decoration: underline;
}

.google-map {
    height: 300px;
    margin: auto;
    width: 80%;
}

.google-map iframe {
    border: none;
    height: 100%;
    width: 80%;
}

.mainLandscape {
    height: auto;
    margin: auto;
    object-fit: cover;
    position: relative;
    width: 80%;
}

.mainLandscape img {
    display: block;
    height: auto;
    width: 100%;
}

.mainLandscape__overlay {
    background-color: rgba(0, 0, 0, 0.7) !important;
    border-radius: 5px;
    bottom: 30px;
    color: #D9B22F;
    font-size: calc(5px + 1vw);
    padding: 5px 20px;
    position: absolute;
    right: 30px;
}

.wine-circle {
    align-items: center;
    border-radius: 40px;
    border: 2px solid #D9B22F;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    display: flex;
    height: 66px;
    justify-content: center;
    margin: 10px 5px;
    padding: 8px 20px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    width: 250px;
}

.wine-circle:hover {
    background-color: #444;
    transform: scale(1.05);
}

.wine-circle img {
    height: 25px;
    margin-right: 10px;
    width: 25px;
}

.wine-circle span {
    color: #D9B22F;
    font-size: 16px;
}

.wine-strains {
    align-items: center;
    display: flex;
    flex-direction: column;
}

.wine-row {
    display: flex;
    gap: 10px;
    justify-content: center;
}

.wine-varieties-section {
    align-items: center;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}

.wine-varieties-section img {
    border-radius: 50%;
    height: 450px;
    width: 450px;
    object-fit: cover;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1), 0 6px 20px rgba(255, 255, 255, 0.1); /* Dodanie jasnego cienia */
}

.wine-varieties-section-description {
    padding: 0 10%;
}

.pepin-table th, .pepin-table td {
    color: #D9B22F;
}

.pepin-table th {
    font-weight: bold;
    text-align: left;
}

.table-striped > tbody > tr:nth-child(even) > td, .table-striped > tbody > tr:nth-child(even) > th {
    background-color: rgba(215, 174, 41, 0.5) !important;
}

.pepin-table th, .pepin-table td {
    background-color: #1D1B1C !important;
    font-weight: 300;
    color: white !important;
    font-size: 16px;
}

/* Scroll to Top Button */
#btn-back-to-top {
    align-items: center;
    background-color: #D9B22F !important;
    border-radius: 10px;
    border: none !important;
    bottom: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    color: white !important;
    cursor: pointer;
    display: flex;
    height: 50px;
    justify-content: center;
    padding: 0;
    position: fixed;
    right: 20px;
    text-align: center;
    width: 50px;
    z-index: 99;
}

#btn-back-to-top:hover {
    background-color: #C3A236 !important;
}

/* Style for the icon */
#btn-back-to-top .fa-chevron-up {
    background-color: transparent !important;
    color: white !important;
    font-size: 24px;
}

.wine-strains__item-title {
    color: #D9B22F;
    font-size: 16px;
    margin-bottom: 5px;
}

.wine-strains__item-description {
    color: #ccc;
    font-size: 1em;
}

.wine-container {
    border-radius: 10px;
    display: flex;
    flex-wrap: nowrap;
    margin: 20px auto;
    max-width: 1200px;
    padding: 50px 0;
    position: relative;
}

.wine-container h2 {
    color: #fff !important;
    text-align: left;
}

.wine-image {
    max-width: 500px;
    position: relative;
    z-index: 2;
}


.wine-image img {
    background: url("assets/wine-bottles/wine_bottle_background.svg") no-repeat center 60%;
    height: auto;
    width: 48%;
}


.wine-info {
    margin-left: 20px;
    max-width: 600px;
    position: relative;
    z-index: 2;
}

.wine-info h2 {
    color: #d4af37 !important;
    font-size: 30px;
    margin-bottom: 20px;
}

.wine-info p {
    color: white !important;
    font-size: 16px;
    line-height: 1.5;
    text-align: left;
}

.wine-info h3 {
    color: white !important;
    margin-bottom: 10px;
    margin-top: 50px;
    text-align: left;
}

.wine-info ul {
    color: white !important;
    font-size: 16px;
    list-style-type: none;
    padding: 0;
    text-align: left;
}

.wine-info ul li {
    color: white !important;
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 10px;
    text-align: left;
}

.wine-info img {
    float: left;
}

.wine-info ul li::before {
    color: white;
    content: '•';
    display: inline-block;
    margin-left: 1em;
    width: 1em;
}

/* Consolidated responsive styles */
@media (max-width: 767px) {
    .navbar-collapse {
        margin-top: 10px !important;
    }

    .contact-section .col-12 {
        align-items: center;
        display: flex;
        justify-content: center;
    }

    .contact-section img {
        width: 70px;
    }

    .text-container p {
        text-align: left;
    }

    .mainLandscape {
        width: 100%;
    }

    .mainLandscape__overlay {
        bottom: calc(1px + 1%);
        font-size: calc(10px + 1vw);
        right: calc(1px + 1%);
    }

    .contact-section .col-md-4 {
        display: block !important;
        text-align: center;
        width: 100%;
    }

    .contact-section img {
        padding-bottom: 15px;
    }

    .nav-item {
        font-size: 18px !important;
    }

    .google-map {
        height: 200px;
        width: 100%;
    }

    .wine-row {
        align-items: center;
        flex-direction: column;
        gap: 0;
        margin-bottom: 0;
    }

    .wine-strains {
        gap: 0;
    }

    .wine-varieties-section {
        align-items: center;
        flex-direction: column;
    }

    .wine-varieties-section img {
        height: 250px;
        margin-bottom: 20px;
        width: 250px;
    }

    .wine-varieties-section-description {
        padding: 0;
    }

    .wine-container {
        align-items: center;
        flex-direction: column;
    }

    .wine-image img {
        margin: 0 0 20px 0;
        max-width: 100%;
    }

    .wine-info {
        max-width: 100%;
        text-align: center;
    }

    .wine-info h2 {
        font-size: 24px;
        margin-bottom: 0.25em !important;
    }

    .wine-info p, .wine-info ul li {
        font-size: 16px;
    }

    .wine-info img {
        margin: 0 10%;
    }

    section, footer {
        padding: 0 5% !important;
        width: auto;
    }

    .pepin-table {
        margin: auto;
        width: 100%;
    }

    .history-section {
        text-align: left;
    }

    .social-media p {
        text-align: left;
    }
}

@media (max-width: 991.98px) {
    .container-fluid {
        justify-content: space-between;
    }

    .navbar-collapse {
        text-align: left;
    }

    .nav-item a {
        font-size: 22px;
    }

    .navbar-nav {
        font-size: 30px;
        width: 100%;
    }
}
